
//[!]{************
//[사용자용:맷돌구동]
//}***************

#include  "gmrcbasic-msg.h"

//[2012.03.21.수][완료!!!]
void GMRCBASIC_Ack(void);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_WaitReport(void);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_MemSet(unsigned char  pDid);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_Degree(unsigned char  pDid,
                      unsigned char  pSid,
                      unsigned char  pAccel,
                      unsigned char  pDegree);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_DegMem(unsigned char  pDid,
                      unsigned char  pSid,
                      unsigned char  pAccel,
                      unsigned char  pDegree);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_DegMemX(unsigned char   pDid,
                       unsigned char   pN,
                       unsigned char   pAccel,
                       unsigned char  *pDegree);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_DegMemXT(unsigned char   pDid,
                        unsigned char   pN,
                        unsigned char   pAccel,
                        unsigned char   pSpeed,
                        unsigned char  *pDegree);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_Speed(unsigned char  pDid,
                     unsigned char  pSid,
                     unsigned char  pSpeed);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_SpdMem(unsigned char  pDid,
                      unsigned char  pSid,
                      unsigned char  pSpeed);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_SpdMemX(unsigned char   pDid,
                       unsigned char   pN,
                       unsigned char  *pSpeed);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_DegSpd(unsigned char  pDid,
                      unsigned char  pSid,
                      unsigned char  pAccel,
                      unsigned char  pDegree,
                      unsigned char  pSpeed);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_DegSpdMem(unsigned char  pDid,
                         unsigned char  pSid,
                         unsigned char  pAccel,
                         unsigned char  pDegree,
                         unsigned char  pSpeed);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_Pulse(unsigned char   pDid,
                     unsigned char   pSid,
                     unsigned char   pAccel,
                     unsigned short  pTick);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_Report(unsigned char   pDid);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_ReportTime(unsigned char   pDid,
                          unsigned char   pSid,
                          unsigned char   pReportTime);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_ReportTimeX(unsigned char   pDid,
                           unsigned char   pN,
                           unsigned char  *pReportTime);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_AccelDiv(unsigned char   pDid,
                        unsigned char   pSid,
                        unsigned char   pDiv);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_AccelDivX(unsigned char   pDid,
                         unsigned char   pN,
                         unsigned char  *pDiv);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_PwmStart(unsigned char   pDid);

//[2012.03.21.수][완료!!!]
void GMRCBASIC_PwmStop(unsigned char   pDid);

